Another glitch in the upgrade to Snow Leopard has come to light, courtesy of the folks at the security firm Sophos. As explained in a blog post by Sophos’ Graham Cluely, Snow Leopard installs a version of Adobe Flash Player withj known vulnerabilities. The latest Mac version of of the Flash Player is 10.0.32.18 and Snow Leopard leaves you with the vulnerable 10.0.23.1. (You can check the version of Flash installed on your system here.)

Fortunately, the fix is simple: Go the the Flash site and download the latest version.

Before it's here, it's on the Bloomberg Terminal. LEARN MORE